Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/ExactGroupsLinearLinkageCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/ExactGroupsLinearLinkageCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/ExactGroupsLinearLinkageCreator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private ExactGroupsLinearLinkageCreator(bool deserializing) : base(deserializing) { }
+    private ExactGroupsLinearLinkageCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ExactGroupsLinearLinkageCreator(ExactGroupsLinearLinkageCreator original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupSizeLinearLinkageCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupSizeLinearLinkageCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupSizeLinearLinkageCreator.cs	(revision 15018)
@@ -23,5 +23,5 @@
 
     [StorableConstructor]
-    protected MaxGroupSizeLinearLinkageCreator(bool deserializing) : base(deserializing) { }
+    protected MaxGroupSizeLinearLinkageCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MaxGroupSizeLinearLinkageCreator(MaxGroupSizeLinearLinkageCreator original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupsLinearLinkageCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupsLinearLinkageCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/MaxGroupsLinearLinkageCreator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private MaxGroupsLinearLinkageCreator(bool deserializing) : base(deserializing) { }
+    private MaxGroupsLinearLinkageCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MaxGroupsLinearLinkageCreator(MaxGroupsLinearLinkageCreator original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/RandomLinearLinkageCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/RandomLinearLinkageCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Creators/RandomLinearLinkageCreator.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private RandomLinearLinkageCreator(bool deserializing) : base(deserializing) { }
+    private RandomLinearLinkageCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private RandomLinearLinkageCreator(RandomLinearLinkageCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomLinearLinkageCreator() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GreedyPartitionCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GreedyPartitionCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GreedyPartitionCrossover.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    private GreedyPartitionCrossover(bool deserializing) : base(deserializing) { }
+    private GreedyPartitionCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GreedyPartitionCrossover(GreedyPartitionCrossover original, Cloner cloner) : base(original, cloner) { }
     public GreedyPartitionCrossover() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GroupCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GroupCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/GroupCrossover.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private GroupCrossover(bool deserializing) : base(deserializing) { }
+    private GroupCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GroupCrossover(GroupCrossover original, Cloner cloner) : base(original, cloner) { }
     public GroupCrossover() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexFirstCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexFirstCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexFirstCrossover.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private LowestIndexFirstCrossover(bool deserializing) : base(deserializing) { }
+    private LowestIndexFirstCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LowestIndexFirstCrossover(LowestIndexFirstCrossover original, Cloner cloner) : base(original, cloner) { }
     public LowestIndexFirstCrossover() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexMaxCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexMaxCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/LowestIndexMaxCrossover.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    private LowestIndexMaxCrossover(bool deserializing) : base(deserializing) { }
+    private LowestIndexMaxCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LowestIndexMaxCrossover(LowestIndexMaxCrossover original, Cloner cloner) : base(original, cloner) { }
     public LowestIndexMaxCrossover() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/MultiLLECrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/MultiLLECrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/MultiLLECrossover.cs	(revision 15018)
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    protected MultiLinearLinkageCrossover(bool deserializing) : base(deserializing) { }
+    protected MultiLinearLinkageCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultiLinearLinkageCrossover(MultiLinearLinkageCrossover original, Cloner cloner) : base(original, cloner) { }
     public MultiLinearLinkageCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/SinglePointCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/SinglePointCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Crossovers/SinglePointCrossover.cs	(revision 15018)
@@ -31,5 +31,5 @@
 
     [StorableConstructor]
-    private SinglePointCrossover(bool deserializing) : base(deserializing) { }
+    private SinglePointCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SinglePointCrossover(SinglePointCrossover original, Cloner cloner) : base(original, cloner) { }
     public SinglePointCrossover() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkage.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkage.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkage.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    private LinearLinkage(bool deserializing) : base(deserializing) { }
+    private LinearLinkage(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LinearLinkage(LinearLinkage original, Cloner cloner) : base(original, cloner) { }
     public LinearLinkage() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCreator.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected LinearLinkageCreator(bool deserializing) : base(deserializing) { }
+    protected LinearLinkageCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LinearLinkageCreator(LinearLinkageCreator original, Cloner cloner) : base(original, cloner) { }
     protected LinearLinkageCreator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageCrossover.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected LinearLinkageCrossover(bool deserializing) : base(deserializing) { }
+    protected LinearLinkageCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LinearLinkageCrossover(LinearLinkageCrossover original, Cloner cloner) : base(original, cloner) { }
     protected LinearLinkageCrossover() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageEncoding.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageEncoding.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageEncoding.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    private LinearLinkageEncoding(bool deserializing) : base(deserializing) { }
+    private LinearLinkageEncoding(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/LinearLinkageManipulator.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected LinearLinkageManipulator(bool deserializing) : base(deserializing) { }
+    protected LinearLinkageManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LinearLinkageManipulator(LinearLinkageManipulator original, Cloner cloner) : base(original, cloner) { }
     protected LinearLinkageManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/GraftManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/GraftManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/GraftManipulator.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    private GraftManipulator(bool deserializing) : base(deserializing) { }
+    private GraftManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private GraftManipulator(GraftManipulator original, Cloner cloner) : base(original, cloner) { }
     public GraftManipulator() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MergeGroupManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MergeGroupManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MergeGroupManipulator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private MergeGroupManipulator(bool deserializing) : base(deserializing) { }
+    private MergeGroupManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MergeGroupManipulator(MergeGroupManipulator original, Cloner cloner) : base(original, cloner) { }
     public MergeGroupManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MoveItemManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MoveItemManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MoveItemManipulator.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    private MoveItemManipulator(bool deserializing) : base(deserializing) { }
+    private MoveItemManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MoveItemManipulator(MoveItemManipulator original, Cloner cloner) : base(original, cloner) { }
     public MoveItemManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MultiLLEManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MultiLLEManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/MultiLLEManipulator.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected MultiLinearLinkageManipulator(bool deserializing) : base(deserializing) { }
+    protected MultiLinearLinkageManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultiLinearLinkageManipulator(MultiLinearLinkageManipulator original, Cloner cloner) : base(original, cloner) { }
     public MultiLinearLinkageManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SplitGroupManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SplitGroupManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SplitGroupManipulator.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private SplitGroupManipulator(bool deserializing) : base(deserializing) { }
+    private SplitGroupManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SplitGroupManipulator(SplitGroupManipulator original, Cloner cloner) : base(original, cloner) { }
     public SplitGroupManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SwapItemManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SwapItemManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Manipulators/SwapItemManipulator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private SwapItemManipulator(bool deserializing) : base(deserializing) { }
+    private SwapItemManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SwapItemManipulator(SwapItemManipulator original, Cloner cloner) : base(original, cloner) { }
     public SwapItemManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class ExhaustiveSwap2MoveGenerator : Swap2MoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveSwap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveSwap2MoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExhaustiveSwap2MoveGenerator(ExhaustiveSwap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveSwap2MoveGenerator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2MultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2MultiMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSwap2MultiMoveGenerator(StochasticSwap2MultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2MultiMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2SingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2SingleMoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StochasticSwap2SingleMoveGenerator(StochasticSwap2SingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2SingleMoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected Swap2Move(bool deserializing) : base(deserializing) { }
+    protected Swap2Move(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2Move(Swap2Move original, Cloner cloner) : base(original, cloner) { }
     public Swap2Move() : this(-1, -1, null) { }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveGenerator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveGenerator(Swap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveGenerator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveMaker(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Swap2MoveMaker(Swap2MoveMaker original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/ShakingOperators/LLEShakingOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/ShakingOperators/LLEShakingOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/ShakingOperators/LLEShakingOperator.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected LLEShakingOperator(bool deserializing) : base(deserializing) { }
+    protected LLEShakingOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LLEShakingOperator(LLEShakingOperator original, Cloner cloner) : base(original, cloner) { }
     public LLEShakingOperator()
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/SimilarityCalculators/HammingSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/SimilarityCalculators/HammingSimilarityCalculator.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private HammingSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private HammingSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private HammingSimilarityCalculator(HammingSimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public HammingSimilarityCalculator() { }
